// database row template class                                       -*- C++ -*-
// $Id: row.h,v 1.2 2004/01/07 14:29:39 roger Exp $
//
// Copyright (C) 2003  Roger Leigh <rleigh@debian.org>
//
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef PQXX_OBJECT_ROW_H
#define PQXX_OBJECT_ROW_H

#include <pqxx-object/row_base.h>
#include <pqxx-object/rowconvert.h>

namespace pqxxobject
{
  /**
   * Database row template class.
   */
  template<typename Row>
  class row : public row_base, public rowconvert
  {
  public:
    row():
      row_base()
    {}

    row(state status,
	bool modified=false):
      row_base(status, modified)
    {}

    virtual ~row()
    {}

  protected:
//     virtual void refresh_impl()
//     {
//     }

//     virtual void insert_impl()
//     {
//     }

//     virtual void update_impl()
//     {
//     }

//     virtual void erase_impl()
//     {
//     }

  }; // class row

}; // namespace pqxxobject

#endif // PQXX_OBJECT_ROW_H
